Debian Bug report logs - #646481
uw-imap: FTBFS: flocklnx.c:60:7: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:uw-imap; Maintainer for src:uw-imap is Magnus Holmgren <holmgren@debian.org>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 13:18:55 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version uw-imap/8:2007e~dfsg-3.1

Fixed in version uw-imap/8:2007e~dfsg-3.2

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#646481; Package src:uw-imap. (Mon, 24 Oct 2011 13:18:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 24 Oct 2011 13:18:59 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: uw-imap: FTBFS: flocklnx.c:60:7: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:25:40 +0200
Source: uw-imap
Version: 8:2007e~dfsg-3.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[5]: Entering directory `/build/uw-imap-lRmeyN/uw-imap-2007e~dfsg/c-client'
> echo -I/usr/include -DGSS_C_NT_HOSTBASED_SERVICE=gss_nt_service_name -DKRB5_DEPRECATED=1 >> OSCFLAGS
> sh -c '(test -f /usr/lib/libk5crypto.a) && echo -L/usr/lib -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err || echo -L/usr/lib -lgssapi_krb5 -lkrb5 -lcrypto -lcom_err' >> LDFLAGS
> echo "#include \"kerb_mit.c\"" >> auths.c
> make[5]: Leaving directory `/build/uw-imap-lRmeyN/uw-imap-2007e~dfsg/c-client'
> echo "  mail_versioncheck (CCLIENTVERSION);" >> linkage.c
> ln -s os_slx.h osdep.h
> ln -s os_slx.c osdepbas.c
> ln -s log_std.c osdeplog.c
> ln -s sig_psx.c siglocal.c
> ln -s crx_nfs.c crexcl.c
> ln -s ip6_unix.c ip_unix.c
> sh -c '(test slx = sc5 -o slx = sco -o ! -f /usr/include/sys/statvfs.h) && echo -DNOFSTATVFS >> OSCFLAGS || fgrep statvfs64 /usr/include/sys/statvfs.h > /dev/null || echo -DNOFSTATVFS64 >> OSCFLAGS'
> Standard password authentication
> ln -s ckp_pam.c osdepckp.c
> Building with SSL
> ln -s ssl_unix.c osdepssl.c
> echo -I/usr/include/openssl -I/usr/include/openssl/openssl -DSSL_CERT_DIRECTORY=\"/etc/ssl/certs\" -DSSL_KEY_DIRECTORY=\"/etc/ssl/private\" >> OSCFLAGS
> echo "  ssl_onceonlyinit ();" >> linkage.c
> echo -L/usr/lib -lssl -lcrypto  >> LDFLAGS
> Building with SSL and plaintext passwords disabled unless SSL/TLS
> echo "  mail_parameters (NIL,SET_DISABLEPLAINTEXT,(void *) 2);" >> linkage.c
> cat osdepbas.c osdepckp.c osdeplog.c osdepssl.c > osdep.c
> Building OS-dependent module
> If you get No such file error messages for files x509.h, ssl.h,
> pem.h, buffer.h, bio.h, and crypto.h, that means that OpenSSL
> is not installed on your system. Either install OpenSSL first
> or build with command: make slx SSLTYPE=none
> `cat CCTYPE` -c `cat CFLAGS` `cat OSCFLAGS` -c osdep.c
> In file included from osdep.c:49:0:
> nl_unix.c: In function 'strcrlfcpy':
> nl_unix.c:49:19: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> In file included from env_unix.c:256:0,
>                  from osdep.c:50:
> pmatch.c: In function 'pmatch_full':
> pmatch.c:41:5: warning: pointer targets in passing argument 1 of '__builtin_strchr' differ in signedness [-Wpointer-sign]
> pmatch.c:41:5: note: expected 'const char *' but argument is of type 'unsigned char *'
> In file included from auths.c:1:0,
>                  from env_unix.c:260,
>                  from osdep.c:50:
> kerb_mit.c: In function 'kerberos_login':
> kerb_mit.c:103:6: warning: pointer targets in passing argument 1 of 'lcase' differ in signedness [-Wpointer-sign]
> misc.h:87:16: note: expected 'unsigned char *' but argument is of type 'char *'
> kerb_mit.c:103:6: warning: pointer targets in passing argument 1 of 'authserver_login' differ in signedness [-Wpointer-sign]
> env.h:40:6: note: expected 'char *' but argument is of type 'unsigned char *'
> In file included from auths.c:2:0,
>                  from env_unix.c:260,
>                  from osdep.c:50:
> auth_gss.c: In function 'auth_gssapi_server':
> auth_gss.c:399:2: warning: format '%s' expects argument of type 'char *', but argument 3 has type 'void *' [-Wformat]
> auth_gss.c:406:4: warning: format '%s' expects argument of type 'char *', but argument 3 has type 'void *' [-Wformat]
> auth_gss.c:414:2: warning: format '%s' expects argument of type 'char *', but argument 3 has type 'void *' [-Wformat]
> In file included from auths.c:4:0,
>                  from env_unix.c:260,
>                  from osdep.c:50:
> auth_md5.c: In function 'auth_md5_pwd':
> auth_md5.c:195:18: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> auth_md5.c:197:12: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> auth_md5.c:199:5: warning: pointer targets in passing argument 1 of 'lcase' differ in signedness [-Wpointer-sign]
> misc.h:87:16: note: expected 'unsigned char *' but argument is of type 'char *'
> auth_md5.c:200:12: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> auth_md5.c:201:5: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> auth_md5.c:203:7: warning: pointer targets in passing argument 1 of '__builtin_strchr' differ in signedness [-Wpointer-sign]
> auth_md5.c:203:7: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:203:35: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of '__builtin_strlen' differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of '__builtin_strlen' differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:205:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:205:2: warning: pointer targets in passing argument 1 of 'cpystr' differ in signedness [-Wpointer-sign]
> misc.h:88:7: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strlen' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strlen' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strlen' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strlen' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 1 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:206:2: warning: pointer targets in passing argument 2 of '__builtin_strcmp' differ in signedness [-Wpointer-sign]
> auth_md5.c:206:2: note: expected 'const char *' but argument is of type 'unsigned char *'
> auth_md5.c:209:5: warning: pointer targets in passing argument 1 of 'cpystr' differ in signedness [-Wpointer-sign]
> misc.h:88:7: note: expected 'const char *' but argument is of type 'unsigned char *'
> In file included from osdep.c:50:0:
> env_unix.c: In function 'pwuser':
> env_unix.c:641:10: warning: pointer targets in passing argument 1 of 'getpwnam' differ in signedness [-Wpointer-sign]
> /usr/include/pwd.h:117:23: note: expected 'const char *' but argument is of type 'unsigned char *'
> env_unix.c:645:7: warning: pointer targets in passing argument 1 of 'cpystr' differ in signedness [-Wpointer-sign]
> misc.h:88:7: note: expected 'const char *' but argument is of type 'unsigned char *'
> env_unix.c:645:7: warning: pointer targets in passing argument 1 of 'lcase' differ in signedness [-Wpointer-sign]
> misc.h:87:16: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:645:7: warning: pointer targets in passing argument 1 of 'getpwnam' differ in signedness [-Wpointer-sign]
> /usr/include/pwd.h:117:23: note: expected 'const char *' but argument is of type 'unsigned char *'
> env_unix.c: In function 'valpwd':
> env_unix.c:671:2: warning: pointer targets in passing argument 1 of 'pwuser' differ in signedness [-Wpointer-sign]
> env_unix.c:638:23: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:676:3: warning: pointer targets in passing argument 1 of 'pwuser' differ in signedness [-Wpointer-sign]
> env_unix.c:638:23: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:679:2: warning: pointer targets in passing argument 1 of 'pwuser' differ in signedness [-Wpointer-sign]
> env_unix.c:638:23: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c: In function 'server_login':
> env_unix.c:710:3: warning: pointer targets in passing argument 1 of 'pwuser' differ in signedness [-Wpointer-sign]
> env_unix.c:638:23: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c: In function 'authserver_login':
> env_unix.c:728:3: warning: pointer targets in passing argument 1 of 'pwuser' differ in signedness [-Wpointer-sign]
> env_unix.c:638:23: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c: In function 'pw_login':
> env_unix.c:767:5: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:767:5: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:770:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:770:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c: In function 'mailboxfile':
> env_unix.c:1057:7: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1057:7: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1067:7: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1067:7: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1087:7: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1087:7: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1101:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1101:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1115:5: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1115:5: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c: In function 'lock_work':
> env_unix.c:1374:5: warning: implicit declaration of function 'safe_flock' [-Wimplicit-function-declaration]
> env_unix.c: In function 'dorc':
> env_unix.c:1565:7: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1565:7: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1579:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1579:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1580:8: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1580:8: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1581:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1581:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1583:3: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1583:3: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1586:3: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1586:3: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1590:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1590:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1593:8: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1593:8: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1604:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1604:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1605:8: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1605:8: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1606:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1606:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1607:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1607:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1609:9: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1609:9: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1611:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1611:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1615:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1615:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1626:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1626:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1630:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1630:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1634:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1634:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1638:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1638:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1640:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1640:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1642:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1642:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1646:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1646:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1650:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1650:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1654:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1654:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1658:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1658:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1662:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1662:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1666:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1666:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1668:7: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1668:7: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1671:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1671:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1673:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1673:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1675:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1675:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1677:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1677:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1679:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1679:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1681:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1681:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1683:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1683:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1685:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1685:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1687:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1687:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1689:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1689:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1691:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1691:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1693:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1693:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1695:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1695:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1697:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1697:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1699:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1699:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1701:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1701:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1703:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1703:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1706:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1706:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1708:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1708:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1710:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1710:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1712:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1712:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1714:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1714:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1716:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1716:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1718:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1718:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1720:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1720:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1722:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1722:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1724:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1724:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1726:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1726:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1728:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1728:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1730:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1730:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1732:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1732:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1734:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1734:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1736:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1736:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1738:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1738:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1740:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1740:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1742:2: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1742:2: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1746:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1746:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1748:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1748:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1751:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1751:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1758:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1758:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1760:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1760:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1762:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1762:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1764:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1764:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1766:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1766:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1768:8: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1768:8: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1769:8: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1769:8: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1771:8: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1771:8: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1773:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1773:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1775:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1775:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1778:6: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1778:6: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1780:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1780:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1782:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1782:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1784:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1784:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1788:4: warning: pointer targets in passing argument 1 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> env_unix.c:1788:4: warning: pointer targets in passing argument 2 of 'compare_cstring' differ in signedness [-Wpointer-sign]
> misc.h:109:5: note: expected 'unsigned char *' but argument is of type 'char *'
> In file included from tcp_unix.c:29:0,
>                  from osdep.c:53:
> ip_unix.c: In function 'ip_stringtoaddr':
> ip_unix.c:136:7: warning: pointer targets in passing argument 1 of 'lcase' differ in signedness [-Wpointer-sign]
> misc.h:87:16: note: expected 'unsigned char *' but argument is of type 'char *'
> ip_unix.c:136:7: warning: pointer targets in passing argument 1 of 'getaddrinfo' differ in signedness [-Wpointer-sign]
> /usr/include/netdb.h:664:12: note: expected 'const char * __restrict__' but argument is of type 'unsigned char *'
> ip_unix.c: In function 'ip_nametoaddr':
> ip_unix.c:253:2: warning: pointer targets in passing argument 1 of 'lcase' differ in signedness [-Wpointer-sign]
> misc.h:87:16: note: expected 'unsigned char *' but argument is of type 'char *'
> ip_unix.c:253:2: warning: pointer targets in passing argument 1 of 'getaddrinfo' differ in signedness [-Wpointer-sign]
> /usr/include/netdb.h:664:12: note: expected 'const char * __restrict__' but argument is of type 'unsigned char *'
> In file included from osdep.c:53:0:
> tcp_unix.c: In function 'tcp_getline':
> tcp_unix.c:462:3: warning: pointer targets in passing argument 3 of 'tcp_getline_work' differ in signedness [-Wpointer-sign]
> tcp_unix.c:58:14: note: expected 'long int *' but argument is of type 'long unsigned int *'
> tcp_unix.c:470:7: warning: pointer targets in passing argument 3 of 'tcp_getline_work' differ in signedness [-Wpointer-sign]
> tcp_unix.c:58:14: note: expected 'long int *' but argument is of type 'long unsigned int *'
> tcp_unix.c: In function 'tcp_isclienthost':
> tcp_unix.c:1024:17: warning: unused variable 'sadrlen' [-Wunused-variable]
> In file included from osdep.c:56:0:
> flocklnx.c: In function 'safe_flock':
> flocklnx.c:60:7: error: format not a string literal and no format arguments [-Werror=format-security]
> osdep.c: In function 'ssl_validate_cert':
> osdep.c:566:5: warning: pointer targets in passing argument 1 of 'ssl_compare_hostnames' differ in signedness [-Wpointer-sign]
> osdep.c:299:13: note: expected 'unsigned char *' but argument is of type 'char *'
> osdep.c:566:5: warning: pointer targets in passing argument 2 of 'ssl_compare_hostnames' differ in signedness [-Wpointer-sign]
> osdep.c:299:13: note: expected 'unsigned char *' but argument is of type 'char *'
> osdep.c:575:35: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
> osdep.c:576:6: warning: pointer targets in passing argument 1 of 'ssl_compare_hostnames' differ in signedness [-Wpointer-sign]
> osdep.c:299:13: note: expected 'unsigned char *' but argument is of type 'char *'
> osdep.c:576:6: warning: pointer targets in passing argument 2 of 'ssl_compare_hostnames' differ in signedness [-Wpointer-sign]
> osdep.c:299:13: note: expected 'unsigned char *' but argument is of type 'char *'
> osdep.c: In function 'ssl_getline':
> osdep.c:617:3: warning: pointer targets in passing argument 3 of 'ssl_getline_work' differ in signedness [-Wpointer-sign]
> osdep.c:300:14: note: expected 'long int *' but argument is of type 'long unsigned int *'
> osdep.c:625:7: warning: pointer targets in passing argument 3 of 'ssl_getline_work' differ in signedness [-Wpointer-sign]
> osdep.c:300:14: note: expected 'long int *' but argument is of type 'long unsigned int *'
> cc1: some warnings being treated as errors
> 
> make[4]: *** [osdep.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/uw-imap_8:2007e~dfsg-3.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#646481; Package src:uw-imap. (Fri, 02 Dec 2011 08:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 02 Dec 2011 08:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 646481@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 646481@bugs.debian.org
Subject: Re: uw-imap: FTBFS: flocklnx.c:60:7: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Fri, 2 Dec 2011 09:02:02 +0100
tag 646481 + patch
thanks

On Mon, Oct 24, 2011 at 01:25:40PM +0200, Mònica Ramírez Arceda wrote:
> Source: uw-imap
> Version: 8:2007e~dfsg-3.1
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20111022 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 

The patch below fixes the issue. It would be nice if an upload can be
done quicky, as it will soon block the s390x bootstrapping.

--- uw-imap-2007e~dfsg.orig/src/osdep/unix/flocklnx.c
+++ uw-imap-2007e~dfsg/src/osdep/unix/flocklnx.c
@@ -57,7 +57,7 @@
     case ENOLCK:		/* lock table is full */
       sprintf (tmp,"File locking failure: %s",strerror (errno));
       mm_log (tmp,WARN);	/* give the user a warning of what happened */
-      if (!logged++) syslog (LOG_ERR,tmp);
+      if (!logged++) syslog ("%s",LOG_ERR,tmp);
 				/* return failure if non-blocking lock */
       if (op & LOCK_NB) return -1;
       sleep (5);		/* slow down in case it loops */

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added tag(s) patch. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Fri, 02 Dec 2011 08:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#646481; Package src:uw-imap. (Sat, 03 Dec 2011 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero Lopez <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 03 Dec 2011 21:45:05 GMT) Full text and rfc822 format available.

Message #17 received at 646481@bugs.debian.org (full text, mbox):

From: Ana Guerrero Lopez <ana@debian.org>
To: 646481@bugs.debian.org
Subject: uw-imap: diff for NMU version 8:2007e~dfsg-3.2
Date: Sat, 3 Dec 2011 22:41:05 +0100
[Message part 1 (text/plain, inline)]
tags 646481 + patch
tags 646481 + pending
thanks

Dear maintainer,

I've prepared an NMU for uw-imap (versioned as 8:2007e~dfsg-3.2) and
uploaded it. Please find attach the diff.

Regards,
Ana
[uw-imap-2007e~dfsg-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Ana Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 21:45:11 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sat, 03 Dec 2011 22:06:03 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sat, 03 Dec 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #24 received at 646481-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 646481-close@bugs.debian.org
Subject: Bug#646481: fixed in uw-imap 8:2007e~dfsg-3.2
Date: Sat, 03 Dec 2011 22:04:11 +0000
Source: uw-imap
Source-Version: 8:2007e~dfsg-3.2

We believe that the bug you reported is fixed in the latest version of
uw-imap, which is due to be installed in the Debian FTP archive:

ipopd_2007e~dfsg-3.2_amd64.deb
  to main/u/uw-imap/ipopd_2007e~dfsg-3.2_amd64.deb
libc-client2007e-dev_2007e~dfsg-3.2_amd64.deb
  to main/u/uw-imap/libc-client2007e-dev_2007e~dfsg-3.2_amd64.deb
libc-client2007e_2007e~dfsg-3.2_amd64.deb
  to main/u/uw-imap/libc-client2007e_2007e~dfsg-3.2_amd64.deb
mlock_2007e~dfsg-3.2_amd64.deb
  to main/u/uw-imap/mlock_2007e~dfsg-3.2_amd64.deb
uw-imap_2007e~dfsg-3.2.diff.gz
  to main/u/uw-imap/uw-imap_2007e~dfsg-3.2.diff.gz
uw-imap_2007e~dfsg-3.2.dsc
  to main/u/uw-imap/uw-imap_2007e~dfsg-3.2.dsc
uw-imapd_2007e~dfsg-3.2_amd64.deb
  to main/u/uw-imap/uw-imapd_2007e~dfsg-3.2_amd64.deb
uw-mailutils_2007e~dfsg-3.2_amd64.deb
  to main/u/uw-imap/uw-mailutils_2007e~dfsg-3.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated uw-imap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Dec 2011 22:28:48 +0100
Source: uw-imap
Binary: uw-imapd ipopd libc-client2007e-dev libc-client2007e mlock uw-mailutils
Architecture: source amd64
Version: 8:2007e~dfsg-3.2
Distribution: unstable
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 ipopd      - POP2 and POP3 mail server
 libc-client2007e - c-client library for mail protocols - library files
 libc-client2007e-dev - c-client library for mail protocols - development files
 mlock      - mailbox locking program
 uw-imapd   - remote mail folder access server using IMAP4rev1
 uw-mailutils - c-client support programs
Closes: 646481
Changes: 
 uw-imap (8:2007e~dfsg-3.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with flag -Werror=format-security. Patch by Aurélien Jarno.
    (Closes: #646481).
Checksums-Sha1: 
 f6aead23a1ba1ae51d202688d96ffac5b2695b8d 2274 uw-imap_2007e~dfsg-3.2.dsc
 7c2d99f8cd8329708d4d5086630af4cb4c32598b 71728 uw-imap_2007e~dfsg-3.2.diff.gz
 6c3e2cd6a5a613027cc879b6b2972e4c27da8cfc 96784 uw-imapd_2007e~dfsg-3.2_amd64.deb
 9891327fc547b717add5b905d944c2e537bce134 57684 ipopd_2007e~dfsg-3.2_amd64.deb
 c5fa8ea3b1411bcc53ef73b8b669fd62ca95b51e 727690 libc-client2007e-dev_2007e~dfsg-3.2_amd64.deb
 f8e5f0da2b43e9a5babfc2842ecd54a3c5f629f8 755720 libc-client2007e_2007e~dfsg-3.2_amd64.deb
 19f1a0d9427301e8cd6a2d3e34f71316fc5b6926 33918 mlock_2007e~dfsg-3.2_amd64.deb
 f058089c398cd9bcb34658bbf1d8f745ff163a7e 64726 uw-mailutils_2007e~dfsg-3.2_amd64.deb
Checksums-Sha256: 
 ae6ccc5b3ee91450acb7a5acdbc61986e3a7ec5f03c0ed1e0b5bd31a5ae2f552 2274 uw-imap_2007e~dfsg-3.2.dsc
 95635b9bcbf84c81633557ee0c44e2b94888395e9d0fd13f23034a8b38e676b8 71728 uw-imap_2007e~dfsg-3.2.diff.gz
 94a9b38b806a723a3c9befd88df5ae22f0cd396f790589e2495503c822799b41 96784 uw-imapd_2007e~dfsg-3.2_amd64.deb
 78d660c6e5f78a8c8df406a9e252805b3e32f267002f42c7cdaecef71d08225c 57684 ipopd_2007e~dfsg-3.2_amd64.deb
 2ed7e9e03716fc980c7d5c7bf9b9773b5d21789bb61fdac9d5517b0c699317d1 727690 libc-client2007e-dev_2007e~dfsg-3.2_amd64.deb
 7595104c9dc487015eedc8606500a8d52875b5045ea3635c9108b29e41fc1387 755720 libc-client2007e_2007e~dfsg-3.2_amd64.deb
 0b7a0502e122af79abf16f3f96622b81d0af4a777c0237c448fdccfb85ddfa36 33918 mlock_2007e~dfsg-3.2_amd64.deb
 2df01fcb74faaf0e30db5e3a36249238b14ec86221e141f65a20b99a276193a0 64726 uw-mailutils_2007e~dfsg-3.2_amd64.deb
Files: 
 93cb3004a7b483efe57368f40e550ad8 2274 mail optional uw-imap_2007e~dfsg-3.2.dsc
 42cb718ff44065fb5ee713e91921cb34 71728 mail optional uw-imap_2007e~dfsg-3.2.diff.gz
 84616d648e14e9983fa9bdf54c3d99ba 96784 mail optional uw-imapd_2007e~dfsg-3.2_amd64.deb
 4bd5456797bae7ed8b570ccf415bcf7a 57684 mail optional ipopd_2007e~dfsg-3.2_amd64.deb
 440571246bd6fad5fba2106c39a844d3 727690 libdevel optional libc-client2007e-dev_2007e~dfsg-3.2_amd64.deb
 09b509310bb2f033dd60efb486b3d8dc 755720 libs optional libc-client2007e_2007e~dfsg-3.2_amd64.deb
 dd2b9f88b5f80a5e6641ccc542c9064a 33918 mail optional mlock_2007e~dfsg-3.2_amd64.deb
 5480b98a4532df7ebdef900ed69bda26 64726 mail optional uw-mailutils_2007e~dfsg-3.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO2phDAAoJELNGT4lqoVlItnYQAIJ/ygvbRIRUzZS5p021HG+X
6JS4U4jQGBB+WdgLAbs0N1dryo5sG/s3j/ykxyiUA6+jizLmQI4k8iR2xzRNb8fF
ZkquRvEVxrHD2IG+WWqFPFeqhRD/AZYYR0OHoUKP4HW5qtV3Q+CQgwhc0M+ZH35w
X9H28UbQRVoIQjX6JG3oVeNJRi3B9AMzmpa+1kJkwy0a02lN0YcNt0r/h5Hjt0YS
zLw5k42AJ2c658iChjyPAyBzBzqHBEVPSycahyJTnEOlxZC1wsFJjlg0/8d79uPH
cV5KLYuz8OAX1ADuQf31KVb4goXj0TeNmkJeZkFM8jE0p9c1ZVD1fwCo4UqxYh15
D78HihyOxRFuabWh7td8o+2xT0RYbBeg37Ce/OsGS/ER8dGQhyM/6FRblOuRpBzV
6fHmAhAGJYICbLo33A2JLJ5+w3Ayyuzhis1YNc5gtBHTjfWBP04znANHiu8I4CIk
qr7UnZIKjAoEDcibRM8gYhMNGjWnmCQ0y9+ojxvwwJoGIFfGDdZzNn5sgQifIXDv
tEp22s9rqsAjzr6+IOU7u+iiOqSwZUYgk6DbK9U25Wb1EXkrqj26IyuUoHrU5EUt
tg3LqWL7uIP+VVu7mGc84AGHmt36yDrDrTNCARoqKgn4t/kPX0UqSbXU5+ioCur+
uwFLLuGWj5v+OYKcAcE6
=QovR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#646481; Package src:uw-imap. (Sun, 04 Dec 2011 04:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 646481@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sun, 04 Dec 2011 04:39:07 GMT) Full text and rfc822 format available.

Message #29 received at 646481@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Ana Guerrero Lopez <ana@debian.org>, 646481@bugs.debian.org
Subject: Re: Bug#646481: uw-imap: diff for NMU version 8:2007e~dfsg-3.2
Date: Sun, 4 Dec 2011 11:34:25 +0700
[Message part 1 (text/plain, inline)]
On 11-12-03 at 10:41pm, Ana Guerrero Lopez wrote:
> I've prepared an NMU for uw-imap (versioned as 8:2007e~dfsg-3.2) and 
> uploaded it. Please find attach the diff.

Thanks a bunch!  Also to Aurelien for providing the patch!

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Mar 2012 07:41:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:33:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.